ALP: 0.0.1-encrypted: Problem beim Erstellen der Zertifikate

Ich wollte dieses ALP-Image auf einen openSUSE Leap 15.4 lt. dieser Anleitung starten.
Allerdings bekomme ich diese Meldung:

 # o /var/log/swtpm/libvirt/qemu/alp-0.0.1-encrypted-swtpm.log
Starting vTPM manufacturing as tss:tss @ Fri 30 Dec 2022 08:16:41 AM CET
Successfully created RSA 2048 EK with handle 0x81010001.
  Invoking /usr/share/swtpm/swtpm-localca --type ek --ek 99d3d94f3d5beb839ff6f2401b539a0cf1a5cec7790500b90bceb7070d27da786f54ec1cd96(... viel Hex weggelassen ...)
bf1a8d43781ed21fdfb204b34fb4281d82b551741440cce8a0cc72da2eda170d2e1 --dir /var/lib/libvirt/swtpm/fd464d1b-0d5d-4534-bac9-8926f3a1a38f/tpm2 --logfile /var/log/swtpm/libvirt/qemu/alp-0.0.1-encrypted-swtpm.log --vmid alp-0.0.1-encrypted:fd464d1b-0d5d-4534-bac9-8926f3a1a38f --tpm-spec-family 2.0 --tpm-spec-level 0 --tpm-spec-revision 162 --tpm-manufacturer id:00001014 --tpm-model swtpm --tpm-version id:20191023 --tpm2 --configfile /etc/swtpm-localca.conf --optsfile /etc/swtpm-localca.options
Creating root CA and a local CA's signing key and issuer cert.
Could not create root-CA key /var/lib/swtpm-localca/swtpm-localca-rootca-privkey.pem: [Errno 2] No such file or directory: 'certtool': 'certtool'
Error creating local CA's signing key and cert.
Error returned from command
An error occurred. Authoring the TPM state failed.
Ending vTPM manufacturing @ Fri 30 Dec 2022 08:16:41 AM CET

Liegt hier ein Problem im Image oder am KVM vor? Ich habe hier dazu eine openSUSE statt eines SLES als KVM-Host laufen da die neue Hardware den SLES nicht mochte (oder andersrum :wink: Aber daran wird es hoffentlich nicht liegen, oder?

Es fehlt der Befehl “certtool”.

# sudo cnf certtool
                      
Das Programm 'certtool' kann in den folgenden Paketen gefunden werden:
  * gnutls [ Pfad: /usr/bin/certtool, Repository: zypp (Basesystem_Module_15_SP4_x86_64:SLE-Module-Basesystem15-SP4-Pool) ]
  * gnutls [ Pfad: /usr/bin/certtool, Repository: zypp (Basesystem_Module_15_SP4_x86_64:SLE-Module-Basesystem15-SP4-Updates) ]

Zum Installieren versuchen Sie:
    zypper install gnutls

SLES15 SP4 und SLED15 SP4 (SUSE Linux Enterprise Desktop) haben den gleichen Linux Kernel wie openSUSE Leap 15.4. Wieso sollte openSUSE Leap 15.4 auf diesem neuen Rechner laufen und SLE15 SP4 nicht? Siehe auch:
https://en.opensuse.org/openSUSE:Packaging_for_Leap